Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockActionResponse

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletResponse
          org.springframework.mock.web.portlet.MockActionResponse

All Implemented Interfaces:
  javax.portlet.ActionResponse, javax.portlet.PortletResponse

    public class MockActionResponse

extends MockPortletResponse
implements javax.portlet.ActionResponse

Mock implementation of the `ActionResponse` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Constructor Summary
`MockActionResponse()` Create a new MockActionResponse with a default `MockPortalContext`.
`MockActionResponse(javax.portlet.PortalContext portalContext)` Create a new MockActionResponse.

Method Summary
`javax.portlet.PortletMode` | `getPortletMode()`
`String` | `getRedirectedUrl()`
`String` | `getRenderParameter(String name)`
`Map` | `getRenderParameterMap()`
`Iterator` | `getRenderParameterNames()`
`String[]` | `getRenderParameterValues(String key)`
`javax.portlet.WindowState` | `getWindowState()`
`void` | `sendRedirect(String url)`
`void` | `setPortletMode(javax.portlet.PortletMode portletMode)`
`void` | `setRenderParameter(String key, String value)`
`void` | `setRenderParameter(String key, String[] values)`
`void` | `setRenderParameters(Map parameters)`
`void` | `setWindowState(javax.portlet.WindowState windowState)`

Methods inherited from class org.springframework.mock.web.portlet.MockPortletResponse
`addProperty, encodeURL, getPortalContext, getProperties, getProperty, getPropertyNames, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletResponse
`addProperty, encodeURL, setProperty`

Constructor Detail

### MockActionResponse

    public MockActionResponse()

  Create a new MockActionResponse with a default `MockPortalContext`.

  See Also:
    `MockPortalContext`

### MockActionResponse

    public MockActionResponse(javax.portlet.PortalContext portalContext)

  Create a new MockActionResponse.

  Parameters:
    `portalContext` - the PortalContext defining the supported PortletModes and WindowStates

Method Detail

### setWindowState

    public void setWindowState(javax.portlet.WindowState windowState)
                        throws javax.portlet.WindowStateException

  Specified by:
    `setWindowState` in interface `javax.portlet.ActionResponse`
  Throws:
    `javax.portlet.WindowStateException`

### getWindowState

    public javax.portlet.WindowState getWindowState()

### setPortletMode

    public void setPortletMode(javax.portlet.PortletMode portletMode)
                        throws javax.portlet.PortletModeException

  Specified by:
    `setPortletMode` in interface `javax.portlet.ActionResponse`
  Throws:
    `javax.portlet.PortletModeException`

### getPortletMode

    public javax.portlet.PortletMode getPortletMode()

### sendRedirect

    public void sendRedirect(String url)
                      throws IOException

  Specified by:
    `sendRedirect` in interface `javax.portlet.ActionResponse`
  Throws:
    `IOException`

### getRedirectedUrl

    public String getRedirectedUrl()

### setRenderParameters

    public void setRenderParameters(Map parameters)

  Specified by:
    `setRenderParameters` in interface `javax.portlet.ActionResponse`

### setRenderParameter

    public void setRenderParameter(String key,
                                   String value)

  Specified by:
    `setRenderParameter` in interface `javax.portlet.ActionResponse`

### getRenderParameter

    public String getRenderParameter(String name)

### setRenderParameter

    public void setRenderParameter(String key,
                                   String[] values)

  Specified by:
    `setRenderParameter` in interface `javax.portlet.ActionResponse`

### getRenderParameterValues

    public String[] getRenderParameterValues(String key)

### getRenderParameterNames

    public Iterator getRenderParameterNames()

### getRenderParameterMap

    public Map getRenderParameterMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.